| WorkspacesFileItemTest::$modules |
property |
core/modules/workspaces/tests/src/Kernel/WorkspacesFileItemTest.php |
Modules to install. |
| WorkspacesFileItemTest::setUp |
function |
core/modules/workspaces/tests/src/Kernel/WorkspacesFileItemTest.php |
Set the default field storage backend for fields created during tests. |
| WorkspacesFileItemTest::testFileItem |
function |
core/modules/workspaces/tests/src/Kernel/WorkspacesFileItemTest.php |
Tests using entity fields of the file field type. |
| WorkspacesLayoutBuilderIntegrationTest |
class |
core/modules/workspaces/tests/src/FunctionalJavascript/WorkspacesLayoutBuilderIntegrationTest.php |
Tests for layout editing in workspaces. |
| WorkspacesLayoutBuilderIntegrationTest.php |
file |
core/modules/workspaces/tests/src/FunctionalJavascript/WorkspacesLayoutBuilderIntegrationTest.php |
|
| WorkspacesLayoutBuilderIntegrationTest::$defaultTheme |
property |
core/modules/workspaces/tests/src/FunctionalJavascript/WorkspacesLayoutBuilderIntegrationTest.php |
The theme to install as the default for testing. |
| WorkspacesLayoutBuilderIntegrationTest::$modules |
property |
core/modules/workspaces/tests/src/FunctionalJavascript/WorkspacesLayoutBuilderIntegrationTest.php |
Modules to install. |
| WorkspacesLayoutBuilderIntegrationTest::setUp |
function |
core/modules/workspaces/tests/src/FunctionalJavascript/WorkspacesLayoutBuilderIntegrationTest.php |
|
| WorkspacesLayoutBuilderIntegrationTest::testBlockDeletionInWorkspaces |
function |
core/modules/workspaces/tests/src/FunctionalJavascript/WorkspacesLayoutBuilderIntegrationTest.php |
Tests that blocks can be deleted inside workspaces. |
| WorkspacesLayoutBuilderIntegrationTest::testBlocksInWorkspaces |
function |
core/modules/workspaces/tests/src/FunctionalJavascript/WorkspacesLayoutBuilderIntegrationTest.php |
Tests changing a layout/blocks inside a workspace. |
| WorkspacesUninstallTest |
class |
core/modules/workspaces/tests/src/Functional/WorkspacesUninstallTest.php |
Tests uninstalling the Workspaces module. |
| WorkspacesUninstallTest.php |
file |
core/modules/workspaces/tests/src/Functional/WorkspacesUninstallTest.php |
|
| WorkspacesUninstallTest::$defaultTheme |
property |
core/modules/workspaces/tests/src/Functional/WorkspacesUninstallTest.php |
The theme to install as the default for testing. |
| WorkspacesUninstallTest::$modules |
property |
core/modules/workspaces/tests/src/Functional/WorkspacesUninstallTest.php |
Modules to install. |
| WorkspacesUninstallTest::setUp |
function |
core/modules/workspaces/tests/src/Functional/WorkspacesUninstallTest.php |
|
| WorkspacesUninstallTest::testUninstallingWorkspace |
function |
core/modules/workspaces/tests/src/Functional/WorkspacesUninstallTest.php |
Tests deleting workspace entities and uninstalling Workspaces module. |
| WorkspaceSwitcherTest |
class |
core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php |
Tests workspace switching functionality. |
| WorkspaceSwitcherTest.php |
file |
core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php |
|
| WorkspaceSwitcherTest::$defaultTheme |
property |
core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php |
The theme to install as the default for testing. |
| WorkspaceSwitcherTest::$modules |
property |
core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php |
Modules to install. |
| WorkspaceSwitcherTest::setUp |
function |
core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php |
|
| WorkspaceSwitcherTest::testQueryParameterNegotiator |
function |
core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php |
Tests switching workspace via a query parameter. |
| WorkspaceSwitcherTest::testSwitchingWorkspaces |
function |
core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php |
Tests switching workspace via the switcher block and admin page. |
| WorkspaceSwitcherTest::testToolbarSwitcherDynamicPageCache |
function |
core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php |
Tests that the toolbar workspace switcher doesn't disable the page cache. |
| workspaces_test.info.yml |
file |
core/modules/workspaces/tests/modules/workspaces_test/workspaces_test.info.yml |
core/modules/workspaces/tests/modules/workspaces_test/workspaces_test.info.yml |
| workspaces_test.module |
file |
core/modules/workspaces/tests/modules/workspaces_test/workspaces_test.module |
Provides supporting code for testing workspaces. |
| workspaces_test_entity_type_alter |
function |
core/modules/workspaces/tests/modules/workspaces_test/workspaces_test.module |
Implements hook_entity_type_alter(). |
| WorkspaceTest |
class |
core/modules/workspaces/tests/src/Functional/WorkspaceTest.php |
Test the workspace entity. |
| WorkspaceTest |
class |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
JSON:API integration test for the "Workspace" content entity type. |
| WorkspaceTest.php |
file |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
|
| WorkspaceTest.php |
file |
core/modules/workspaces/tests/src/Functional/WorkspaceTest.php |
|
| WorkspaceTest::$defaultTheme |
property |
core/modules/workspaces/tests/src/Functional/WorkspaceTest.php |
The theme to install as the default for testing. |
| WorkspaceTest::$defaultTheme |
property |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
The theme to install as the default for testing. |
| WorkspaceTest::$editor1 |
property |
core/modules/workspaces/tests/src/Functional/WorkspaceTest.php |
A test user. |
| WorkspaceTest::$editor2 |
property |
core/modules/workspaces/tests/src/Functional/WorkspaceTest.php |
A test user. |
| WorkspaceTest::$entity |
property |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
|
| WorkspaceTest::$entityTypeId |
property |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
The tested entity type. |
| WorkspaceTest::$firstCreatedEntityId |
property |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
The entity ID for the first created entity in testPost(). |
| WorkspaceTest::$modules |
property |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
Modules to install. |
| WorkspaceTest::$modules |
property |
core/modules/workspaces/tests/src/Functional/WorkspaceTest.php |
Modules to install. |
| WorkspaceTest::$patchProtectedFieldNames |
property |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
The fields that are protected against modification during PATCH requests. |
| WorkspaceTest::$resourceTypeIsVersionable |
property |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
Whether the tested JSON:API resource is versionable. |
| WorkspaceTest::$resourceTypeName |
property |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
The name of the tested JSON:API resource type. |
| WorkspaceTest::$secondCreatedEntityId |
property |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
The entity ID for the second created entity in testPost(). |
| WorkspaceTest::$uniqueFieldNames |
property |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
Fields that need unique values. |
| WorkspaceTest::createEntity |
function |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
Creates the entity to be tested. |
| WorkspaceTest::getExpectedDocument |
function |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
Returns the expected JSON:API document for the entity. |
| WorkspaceTest::getExpectedUnauthorizedAccessCacheability |
function |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
Returns the expected cacheability for an unauthorized response. |
| WorkspaceTest::getExpectedUnauthorizedAccessMessage |
function |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
Return the expected error message. |
| WorkspaceTest::getModifiedEntityForPostTesting |
function |
core/modules/jsonapi/tests/src/Functional/WorkspaceTest.php |
Gets the normalized POST entity with random values for its unique fields. |